Package sop.operation

# Interface InlineSign

All Superinterfaces:
  `AbstractSign<InlineSign>`

public interface InlineSign extends AbstractSign<InlineSign>

## Method Summary

Modifier and Type
Method
Description
`default Ready`
`data(byte[] data)`
Signs data.
`Ready`
`data(InputStream data)`
Signs data.
`InlineSign`
`mode(InlineSignAs mode)`
Sets the signature mode.

### Methods inherited from interface sop.operation.AbstractSign

`key, key, noArmor, withKeyPassword, withKeyPassword`

## Method Details

### mode

InlineSign mode(InlineSignAs mode) throws SOPGPException.UnsupportedOption
Sets the signature mode. Note: This method has to be called before `AbstractSign.key(InputStream)` is called.

Parameters:
  `mode` - signature mode
Returns:
  builder instance
Throws:
  `SOPGPException.UnsupportedOption` - if this option is not supported

### data

Ready data(InputStream data) throws IOException, SOPGPException.KeyIsProtected, SOPGPException.ExpectedText
Signs data.

Parameters:
  `data` - input stream containing data
Returns:
  ready
Throws:
  `IOException` - in case of an IO error
  `SOPGPException.KeyIsProtected` - if at least one signing key cannot be unlocked
  `SOPGPException.ExpectedText` - if text data was expected, but binary data was encountered

### data

default Ready data(byte[] data) throws IOException, SOPGPException.KeyIsProtected, SOPGPException.ExpectedText
Signs data.

Parameters:
  `data` - byte array containing data
Returns:
  ready
Throws:
  `IOException` - in case of an IO error
  `SOPGPException.KeyIsProtected` - if at least one signing key cannot be unlocked
  `SOPGPException.ExpectedText` - if text data was expected, but binary data was encountered